The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"не ставиться apach22 freebsd 9"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Открытые системы на сервере (Др. сетевые сервисы)
Изначальное сообщение [ Отслеживать ]

"не ставиться apach22 freebsd 9"  +/
Сообщение от vadimich (ok) on 15-Фев-12, 10:20 
Доброе время суток всем!
Ставлю apach22, не находит expat.6. Обновил дерево cvsup`ом, и все порты portupgrade`ом.

Заранее благодарен.

#  make
===>   apache-2.2.22_4 depends on file: /usr/local/bin/perl5.12.4 - found
===>   apache-2.2.22_4 depends on file: /usr/local/bin/autoconf-2.68 - found
===>   apache-2.2.22_4 depends on package: libtool>=2.4 - found
===>   apache-2.2.22_4 depends on shared library: expat.6 - not found
===>    Verifying install for expat.6 in /usr/ports/textproc/expat2
===>   Returning to build of apache-2.2.22_4
Error: shared library "expat.6" does not exist
*** Error code 1

Stop in /usr/ports/www/apache22.
*** Error code 1

Stop in /usr/ports/www/apache22.
studcity#

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "не ставиться apach22 freebsd 9"  +1 +/
Сообщение от PavelR (??) on 15-Фев-12, 11:09 
cd /usr/ports/textproc/expat2
make
make deinstall
make install clean
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "не ставиться apach22 freebsd 9"  +/
Сообщение от vadimich (ok) on 15-Фев-12, 12:03 
> cd /usr/ports/textproc/expat2
> make
> make deinstall
> make install clean

Сделал, не помогает. та же ошибка.

# cd /usr/ports/textproc/expat2

# make

# make deinstall
===>  Deinstalling for textproc/expat2
===>   Deinstalling expat-2.0.1_2
pkg_delete: file '/usr/local/lib/libexpat.so' doesn't exist
pkg_delete: file '/usr/local/lib/libexpat.so.6' doesn't exist
pkg_delete: couldn't entirely delete package `expat-2.0.1_2'
(perhaps the packing list is incorrectly specified?)

# make install clean
===>  Installing for expat-2.0.1_2
===>   Generating temporary packing list
===>  Checking if textproc/expat2 already installed
/bin/sh ./conftools/mkinstalldirs /usr/local/lib /usr/local/include
/bin/sh ./libtool --mode=install /usr/bin/install -c -o root -g wheel libexpat.la /usr/local/lib/libexpat.la
/usr/bin/install -c -o root -g wheel .libs/libexpat.lai /usr/local/lib/libexpat.la
/usr/bin/install -c -o root -g wheel .libs/libexpat.a /usr/local/lib/libexpat.a
chmod 644 /usr/local/lib/libexpat.a
ranlib /usr/local/lib/libexpat.a
----------------------------------------------------------------------
Libraries have been installed in:
   /usr/local/lib

If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the `-LLIBDIR'
flag during linking and do at least one of the following:
   - add LIBDIR to the `LD_RUN_PATH' environment variable
     during linking
   - use the `-Wl,--rpath -Wl,LIBDIR' linker flag

See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
----------------------------------------------------------------------
for FN in ./lib/expat.h ./lib/expat_external.h ; do install  -o root -g wheel -m 444 $FN /usr/local/include ; done
/bin/sh ./conftools/mkinstalldirs /usr/local/bin /usr/local/man/man1
/bin/sh ./libtool --mode=install install  -s -o root -g wheel -m 555 xmlwf/xmlwf /usr/local/bin/xmlwf
install -o root -g wheel -m 555 -s xmlwf/xmlwf /usr/local/bin/xmlwf
install  -o root -g wheel -m 444 ./doc/xmlwf.1 /usr/local/man/man1
===>   Compressing manual pages for expat-2.0.1_2
===>   Running ldconfig
/sbin/ldconfig -m /usr/local/lib
===>   Registering installation for expat-2.0.1_2
===>  Cleaning for expat-2.0.1_2

#

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "не ставиться apach22 freebsd 9"  +/
Сообщение от setevoy (ok) on 15-Фев-12, 12:07 
>> cd /usr/ports/textproc/expat2
>> make
>> make deinstall
>> make install clean
> Сделал, не помогает. та же ошибка.

http://bsdportal.ru/viewtopic.php?p=50998&sid=00bc9c0502f29a...
не лучший вариант, но - может быть?
1) не находил expat.6? -> просто в либах нашел expat.5 и переименовал... Razz

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

5. "не ставиться apach22 freebsd 9"  +/
Сообщение от Аноним (??) on 16-Фев-12, 04:31 
>>> cd /usr/ports/textproc/expat2
>>> make
>>> make deinstall
>>> make install clean
>> Сделал, не помогает. та же ошибка.
> http://bsdportal.ru/viewtopic.php?p=50998&sid=00bc9c0502f29a...
> не лучший вариант, но - может быть?
> 1) не находил expat.6? -> просто в либах нашел expat.5 и переименовал...
> Razz

Вам бы за такие советы руки оторвать.

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

4. "не ставиться apach22 freebsd 9"  +/
Сообщение от PavelR (??) on 15-Фев-12, 14:16 
>> cd /usr/ports/textproc/expat2
>> make
>> make deinstall
>> make install clean
> Сделал, не помогает. та же ошибка.

ну так после

> # cd /usr/ports/textproc/expat2
> # make
> # make deinstall

Надо делать

cd /usr/ports/www/apache22
make clean
make
make install clean


>[оверквотинг удален]
> /bin/sh ./libtool --mode=install install  -s -o root -g wheel -m 555
> xmlwf/xmlwf /usr/local/bin/xmlwf
> install -o root -g wheel -m 555 -s xmlwf/xmlwf /usr/local/bin/xmlwf
> install  -o root -g wheel -m 444 ./doc/xmlwf.1 /usr/local/man/man1
> ===>   Compressing manual pages for expat-2.0.1_2
> ===>   Running ldconfig
> /sbin/ldconfig -m /usr/local/lib
> ===>   Registering installation for expat-2.0.1_2
> ===>  Cleaning for expat-2.0.1_2
> #

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

6. "не ставиться apach22 freebsd 9"  +/
Сообщение от vadimich (ok) on 16-Фев-12, 14:38 
>[оверквотинг удален]
>> /bin/sh ./libtool --mode=install install  -s -o root -g wheel -m 555
>> xmlwf/xmlwf /usr/local/bin/xmlwf
>> install -o root -g wheel -m 555 -s xmlwf/xmlwf /usr/local/bin/xmlwf
>> install  -o root -g wheel -m 444 ./doc/xmlwf.1 /usr/local/man/man1
>> ===>   Compressing manual pages for expat-2.0.1_2
>> ===>   Running ldconfig
>> /sbin/ldconfig -m /usr/local/lib
>> ===>   Registering installation for expat-2.0.1_2
>> ===>  Cleaning for expat-2.0.1_2
>> #

Все в данной последовательности, все равно
for FN in ./lib/expat.h ./lib/expat_external.h ; do install  -o root -g wheel -m 444 $FN /usr/local/include ; done
/bin/sh ./conftools/mkinstalldirs /usr/local/bin /usr/local/man/man1
/bin/sh ./libtool --mode=install install  -s -o root -g wheel -m 555 xmlwf/xmlwf /usr/local/bin/xmlwf
install -o root -g wheel -m 555 -s xmlwf/xmlwf /usr/local/bin/xmlwf
install  -o root -g wheel -m 444 ./doc/xmlwf.1 /usr/local/man/man1
===>   Compressing manual pages for expat-2.0.1_2
===>   Running ldconfig
/sbin/ldconfig -m /usr/local/lib
===>   Registering installation for expat-2.0.1_2
===>   Returning to build of apache-2.2.22_4
Error: shared library "expat.6" does not exist
*** Error code 1

Stop in /usr/ports/www/apache22.
*** Error code 1

Stop in /usr/ports/www/apache22.

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

7. "не ставиться apach22 freebsd 9"  +/
Сообщение от sivsoft (ok) on 16-Фев-12, 15:00 
>[оверквотинг удален]
> ===>   Compressing manual pages for expat-2.0.1_2
> ===>   Running ldconfig
> /sbin/ldconfig -m /usr/local/lib
> ===>   Registering installation for expat-2.0.1_2
> ===>   Returning to build of apache-2.2.22_4
> Error: shared library "expat.6" does not exist
> *** Error code 1
> Stop in /usr/ports/www/apache22.
> *** Error code 1
> Stop in /usr/ports/www/apache22.

только вчера ставил apache22 - все отлично было - никаких ошибок
явно дело не в апаче
как ставите, что указываете в config при установке, make.conf сюда также...

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

8. "не ставиться apach22 freebsd 9"  +/
Сообщение от vadimich (ok) on 17-Фев-12, 09:46 
>[оверквотинг удален]
>> ===>   Registering installation for expat-2.0.1_2
>> ===>   Returning to build of apache-2.2.22_4
>> Error: shared library "expat.6" does not exist
>> *** Error code 1
>> Stop in /usr/ports/www/apache22.
>> *** Error code 1
>> Stop in /usr/ports/www/apache22.
> только вчера ставил apache22 - все отлично было - никаких ошибок
> явно дело не в апаче
> как ставите, что указываете в config при установке, make.conf сюда также...

Вот опции:  Makefile.options

OPTIONS+= \
         AUTH_BASIC "Enable mod_auth_basic" ON \
         AUTH_DIGEST "Enable mod_auth_digest" ON \
         AUTHN_FILE "Enable mod_authn_file" ON \
         AUTHN_DBD "Enable mod_authn_dbd" OFF \
         AUTHN_DBM "Enable mod_authn_dbm" ON \
         AUTHN_ANON "Enable mod_authn_anon" ON \
         AUTHN_DEFAULT "Enable mod_authn_default" ON \
         AUTHN_ALIAS "Enable mod_authn_alias" ON \
         AUTHZ_HOST "Enable mod_authz_host" ON \
         AUTHZ_GROUPFILE "Enable mod_authz_groupfile" ON \
         AUTHZ_USER "Enable mod_authz_user" ON \
         AUTHZ_DBM "Enable mod_authz_dbm" ON \
         AUTHZ_OWNER "Enable mod_authz_owner" ON \
         AUTHZ_DEFAULT "Enable mod_authz_default" ON \
         CACHE "Enable mod_cache" ON \
         DISK_CACHE "Enable mod_disk_cache" ON \
         FILE_CACHE "Enable mod_file_cache" ON \
         MEM_CACHE "Enable mod_mem_cache" OFF \
         DAV "Enable mod_dav" ON \
         DAV_FS "Enable mod_dav_fs" ON \
         BUCKETEER "Enable mod_bucketeer" OFF \
         CASE_FILTER "Enable mod_case_filter" OFF \
         CASE_FILTER_IN "Enable mod_case_filter_in" OFF \
         EXT_FILTER "Enable mod_ext_filter" OFF \
         LOG_FORENSIC "Enable mod_log_forensic" OFF \
         OPTIONAL_HOOK_EXPORT "Enable mod_optional_hook_export" OFF \
         OPTIONAL_HOOK_IMPORT "Enable mod_optional_hook_import" OFF \
         OPTIONAL_FN_IMPORT "Enable mod_optional_fn_import" OFF \
         OPTIONAL_FN_EXPORT "Enable mod_optional_fn_export" OFF \
         LDAP "Enable mod_ldap" OFF \
         AUTHNZ_LDAP "Enable mod_authnz_ldap" OFF \
         ACTIONS "Enable mod_actions" ON \
         ALIAS "Enable mod_alias" ON \
         ASIS "Enable mod_asis" ON \
         AUTOINDEX "Enable mod_autoindex" ON \
         CERN_META "Enable mod_cern_meta" ON \
         CGI "Enable mod_cgi" ON \
         CHARSET_LITE "Enable mod_charset_lite" ON \
         DBD "Enable mod_dbd" OFF \
         DEFLATE "Enable mod_deflate" ON \
         DIR "Enable mod_dir" ON \
         DUMPIO "Enable mod_dumpio" ON \
         ENV "Enable mod_env" ON \
         EXPIRES "Enable mod_expires" ON \
         HEADERS "Enable mod_headers" ON \
         IMAGEMAP "Enable mod_imagemap" ON \
         INCLUDE "Enable mod_include" ON \
         INFO "Enable mod_info" ON \
         LOG_CONFIG "Enable mod_log_config" ON \
         LOGIO "Enable mod_logio" ON \
         MIME "Enable mod_mime" ON \
         MIME_MAGIC "Enable mod_mime_magic" ON \
         NEGOTIATION "Enable mod_negotiation" ON \
         REWRITE "Enable mod_rewrite" ON \
         SETENVIF "Enable mod_setenvif" ON \
         SPELING "Enable mod_speling" ON \
         STATUS "Enable mod_status" ON \
         UNIQUE_ID "Enable mod_unique_id" ON \
         USERDIR "Enable mod_userdir" ON \
         USERTRACK "Enable mod_usertrack" ON \
         VHOST_ALIAS "Enable mod_vhost_alias" ON \
         FILTER "Enable mod_filter" ON \
         SUBSTITUTE "Enable mod_substitute" OFF \
         VERSION "Enable mod_version" ON \
         PROXY "Enable mod_proxy" OFF \
         PROXY_CONNECT "Enable mod_proxy_connect" OFF \
         PROXY_FTP "Enable mod_proxy_ftp" OFF \
         PROXY_HTTP "Enable mod_proxy_http" OFF \
         PROXY_AJP "Enable mod_proxy_ajp" OFF \
         PROXY_BALANCER "Enable mod_proxy_balancer" OFF \
         PROXY_SCGI "Enable mod_proxy_scgi" OFF \
         SSL "Enable mod_ssl" ON \
         SUEXEC "Enable mod_suexec" OFF \
         SUEXEC_RSRCLIMIT "SuEXEC rlimits based on login class" OFF \
         REQTIMEOUT "Enable mod_reqtimeout" ON \
         CGID "Enable mod_cgid" OFF \

Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

9. "не ставиться apach22 freebsd 9"  +/
Сообщение от lavr email on 17-Фев-12, 10:55 
>[оверквотинг удален]
>>> ===>   Registering installation for expat-2.0.1_2
>>> ===>   Returning to build of apache-2.2.22_4
>>> Error: shared library "expat.6" does not exist
>>> *** Error code 1
>>> Stop in /usr/ports/www/apache22.
>>> *** Error code 1
>>> Stop in /usr/ports/www/apache22.
>> только вчера ставил apache22 - все отлично было - никаких ошибок
>> явно дело не в апаче
>> как ставите, что указываете в config при установке, make.conf сюда также...

используете portupgrade:

# man pkgdb

и чтение man portupgrade

вы уж определитесь как работать с портами (пакетами) - руками или через portupgrade,
если хотите и так и так, почитайте подкументацию

Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

10. "не ставиться apach22 freebsd 9"  +/
Сообщение от vadimich (ok) on 17-Фев-12, 14:58 
>[оверквотинг удален]
>> ===>   Registering installation for expat-2.0.1_2
>> ===>   Returning to build of apache-2.2.22_4
>> Error: shared library "expat.6" does not exist
>> *** Error code 1
>> Stop in /usr/ports/www/apache22.
>> *** Error code 1
>> Stop in /usr/ports/www/apache22.
> только вчера ставил apache22 - все отлично было - никаких ошибок
> явно дело не в апаче
> как ставите, что указываете в config при установке, make.conf сюда также...

Вот Makefile.option

OPTIONS+= \
         AUTH_BASIC "Enable mod_auth_basic" ON \
         AUTH_DIGEST "Enable mod_auth_digest" ON \
         AUTHN_FILE "Enable mod_authn_file" ON \
         AUTHN_DBD "Enable mod_authn_dbd" OFF \
         AUTHN_DBM "Enable mod_authn_dbm" ON \
         AUTHN_ANON "Enable mod_authn_anon" ON \
         AUTHN_DEFAULT "Enable mod_authn_default" ON \
         AUTHN_ALIAS "Enable mod_authn_alias" ON \
         AUTHZ_HOST "Enable mod_authz_host" ON \
         AUTHZ_GROUPFILE "Enable mod_authz_groupfile" ON \
         AUTHZ_USER "Enable mod_authz_user" ON \
         AUTHZ_DBM "Enable mod_authz_dbm" ON \
         AUTHZ_OWNER "Enable mod_authz_owner" ON \
         AUTHZ_DEFAULT "Enable mod_authz_default" ON \
         CACHE "Enable mod_cache" ON \
         DISK_CACHE "Enable mod_disk_cache" ON \
         FILE_CACHE "Enable mod_file_cache" ON \
         MEM_CACHE "Enable mod_mem_cache" OFF \
         DAV "Enable mod_dav" ON \
         DAV_FS "Enable mod_dav_fs" ON \
         BUCKETEER "Enable mod_bucketeer" OFF \
         CASE_FILTER "Enable mod_case_filter" OFF \
         CASE_FILTER_IN "Enable mod_case_filter_in" OFF \
         EXT_FILTER "Enable mod_ext_filter" OFF \
         LOG_FORENSIC "Enable mod_log_forensic" OFF \
         OPTIONAL_HOOK_EXPORT "Enable mod_optional_hook_export" OFF \
         OPTIONAL_HOOK_IMPORT "Enable mod_optional_hook_import" OFF \
         OPTIONAL_FN_IMPORT "Enable mod_optional_fn_import" OFF \
         OPTIONAL_FN_EXPORT "Enable mod_optional_fn_export" OFF \
         LDAP "Enable mod_ldap" OFF \
         AUTHNZ_LDAP "Enable mod_authnz_ldap" OFF \
         ACTIONS "Enable mod_actions" ON \
         ALIAS "Enable mod_alias" ON \
         ASIS "Enable mod_asis" ON \
         AUTOINDEX "Enable mod_autoindex" ON \
         CERN_META "Enable mod_cern_meta" ON \
         CGI "Enable mod_cgi" ON \
         CHARSET_LITE "Enable mod_charset_lite" ON \
         DBD "Enable mod_dbd" OFF \
         DEFLATE "Enable mod_deflate" ON \
         DIR "Enable mod_dir" ON \
         DUMPIO "Enable mod_dumpio" ON \
         ENV "Enable mod_env" ON \
         EXPIRES "Enable mod_expires" ON \
         HEADERS "Enable mod_headers" ON \
         IMAGEMAP "Enable mod_imagemap" ON \
         INCLUDE "Enable mod_include" ON \
         INFO "Enable mod_info" ON \
         LOG_CONFIG "Enable mod_log_config" ON \
         LOGIO "Enable mod_logio" ON \
         MIME "Enable mod_mime" ON \
         MIME_MAGIC "Enable mod_mime_magic" ON \
         NEGOTIATION "Enable mod_negotiation" ON \
         REWRITE "Enable mod_rewrite" ON \
         SETENVIF "Enable mod_setenvif" ON \
         SPELING "Enable mod_speling" ON \
         STATUS "Enable mod_status" ON \
         UNIQUE_ID "Enable mod_unique_id" ON \
         USERDIR "Enable mod_userdir" ON \
         USERTRACK "Enable mod_usertrack" ON \
         VHOST_ALIAS "Enable mod_vhost_alias" ON \
         FILTER "Enable mod_filter" ON \
         SUBSTITUTE "Enable mod_substitute" OFF \
         VERSION "Enable mod_version" ON \
         PROXY "Enable mod_proxy" OFF \
         PROXY_CONNECT "Enable mod_proxy_connect" OFF \
         PROXY_FTP "Enable mod_proxy_ftp" OFF \
         PROXY_HTTP "Enable mod_proxy_http" OFF \
         PROXY_AJP "Enable mod_proxy_ajp" OFF \
         PROXY_BALANCER "Enable mod_proxy_balancer" OFF \
         PROXY_SCGI "Enable mod_proxy_scgi" OFF \
         SSL "Enable mod_ssl" ON \
         SUEXEC "Enable mod_suexec" OFF \
         SUEXEC_RSRCLIMIT "SuEXEC rlimits based on login class" OFF \
         REQTIMEOUT "Enable mod_reqtimeout" ON \
         CGID "Enable mod_cgid" OFF \

Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

11. "не ставиться apach22 freebsd 9"  +/
Сообщение от PavelR (ok) on 17-Фев-12, 15:36 
>[оверквотинг удален]
>>> ===>   Returning to build of apache-2.2.22_4
>>> Error: shared library "expat.6" does not exist
>>> *** Error code 1
>>> Stop in /usr/ports/www/apache22.
>>> *** Error code 1
>>> Stop in /usr/ports/www/apache22.
>> только вчера ставил apache22 - все отлично было - никаких ошибок
>> явно дело не в апаче
>> как ставите, что указываете в config при установке, make.conf сюда также...
> Вот Makefile.option

/etc/make.conf, видимо, не тронут, если о нем не знают.

Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

12. "не ставиться apach22 freebsd 9"  +/
Сообщение от vadimich (ok) on 20-Фев-12, 11:49 
>[оверквотинг удален]
>>>> Error: shared library "expat.6" does not exist
>>>> *** Error code 1
>>>> Stop in /usr/ports/www/apache22.
>>>> *** Error code 1
>>>> Stop in /usr/ports/www/apache22.
>>> только вчера ставил apache22 - все отлично было - никаких ошибок
>>> явно дело не в апаче
>>> как ставите, что указываете в config при установке, make.conf сюда также...
>> Вот Makefile.option
> /etc/make.conf, видимо, не тронут, если о нем не знают.

/etc/make.conf в студии

# added by use.perl 2012-02-10 12:09:28
PERL_VERSION=5.12.4

Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

13. "не ставиться apach22 freebsd 9"  +/
Сообщение от gpl77 (ok) on 20-Фев-12, 13:00 
>[оверквотинг удален]
> ===>  Installing for expat-2.0.1_2
> ===>   Generating temporary packing list
> ===>  Checking if textproc/expat2 already installed
> /bin/sh ./conftools/mkinstalldirs /usr/local/lib /usr/local/include
> /bin/sh ./libtool --mode=install /usr/bin/install -c -o root -g wheel libexpat.la /usr/local/lib/libexpat.la
> /usr/bin/install -c -o root -g wheel .libs/libexpat.lai /usr/local/lib/libexpat.la
> /usr/bin/install -c -o root -g wheel .libs/libexpat.a /usr/local/lib/libexpat.a
> chmod 644 /usr/local/lib/libexpat.a
> ranlib /usr/local/lib/libexpat.a
> ----------------------------------------------------------------------

у вас эта библиотека скомпилировалась только статиком, похоже
посмотрите, не ли там где --disable-shared, например в Makefile.local

или создайте Makefile.local в /usr/ports/textproc/expat2
и добавьте туда
CONFIGURE_ARGS+= --enable-shared

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

14. "не ставиться apach22 freebsd 9"  +/
Сообщение от vadimich (ok) on 21-Фев-12, 13:44 
>[оверквотинг удален]
>> /usr/bin/install -c -o root -g wheel .libs/libexpat.lai /usr/local/lib/libexpat.la
>> /usr/bin/install -c -o root -g wheel .libs/libexpat.a /usr/local/lib/libexpat.a
>> chmod 644 /usr/local/lib/libexpat.a
>> ranlib /usr/local/lib/libexpat.a
>> ----------------------------------------------------------------------
> у вас эта библиотека скомпилировалась только статиком, похоже
> посмотрите, не ли там где --disable-shared, например в Makefile.local
> или создайте Makefile.local в /usr/ports/textproc/expat2
> и добавьте туда
> CONFIGURE_ARGS+= --enable-shared

Файла Makefile.local нет вообще.
Создал его и добавил строчку CONFIGURE_ARGS+= --enable-shared как указано выше.

Не помогло, та же ошибка.


Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

15. "не ставиться apach22 freebsd 9"  +/
Сообщение от gpl77 (ok) on 21-Фев-12, 15:17 
> Файла Makefile.local нет вообще.
> Создал его и добавил строчку CONFIGURE_ARGS+= --enable-shared как указано выше.
> Не помогло, та же ошибка.

(на всякий случай) вы Makefile.local в /usr/ports/textproc/expat2 создали?

посмотрите, что у вас в /usr/local/lib/libexpat.la
в строчках
library_names и old_library

ну и если libexpat.so.6 там нет, надо смотреть полный лог построения библиотеки,
что бы понять почему не строится shared версия (например, он с собой тащит свой libtool
и там, почему то, --disable-shared)

Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

16. "не ставиться apach22 freebsd 9"  +/
Сообщение от vadimich (ok) on 22-Фев-12, 10:55 
>[оверквотинг удален]
>> Создал его и добавил строчку CONFIGURE_ARGS+= --enable-shared как указано выше.
>> Не помогло, та же ошибка.
> (на всякий случай) вы Makefile.local в /usr/ports/textproc/expat2 создали?
> посмотрите, что у вас в /usr/local/lib/libexpat.la
> в строчках
> library_names и old_library
> ну и если libexpat.so.6 там нет, надо смотреть полный лог построения библиотеки,
> что бы понять почему не строится shared версия (например, он с собой
> тащит свой libtool
> и там, почему то, --disable-shared)

Добрый день!
Makefile.local создал в /usr/ports/textproc/expat2


в /usr/local/lib/libexpat.la

# Names of this library.
library_names=''

# The name of the static archive.
old_library='libexpat.a'


в /usr/local/lib/ нет libexpat.so.6

Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

17. "не ставиться apach22 freebsd 9"  +/
Сообщение от gpl77 (ok) on 22-Фев-12, 13:52 
>> ну и если libexpat.so.6 там нет, надо смотреть полный лог построения библиотеки,
>> что бы понять почему не строится shared версия (например, он с собой
> # Names of this library.
> library_names=''
> # The name of the static archive.
> old_library='libexpat.a'

ну тогда показывайте вывод configure
make clean configure

Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

18. "не ставиться apach22 freebsd 9"  +/
Сообщение от vadimich (ok) on 22-Фев-12, 21:38 
>>> ну и если libexpat.so.6 там нет, надо смотреть полный лог построения библиотеки,
>>> что бы понять почему не строится shared версия (например, он с собой
>> # Names of this library.
>> library_names=''
>> # The name of the static archive.
>> old_library='libexpat.a'
> ну тогда показывайте вывод configure
> make clean configure

/usr/ports/textproc/expat2/

# make clean configure
===>  Cleaning for expat-2.0.1_2
===>  Vulnerability check disabled, database not found
===>  License check disabled, port has not defined LICENSE
===>  Extracting for expat-2.0.1_2
===>  Vulnerability check disabled, database not found
===>  License check disabled, port has not defined LICENSE
=> SHA256 Checksum OK for expat-2.0.1.tar.gz.
===>  Patching for expat-2.0.1_2
===>  Applying FreeBSD patches for expat-2.0.1_2
===>  Configuring for expat-2.0.1_2
checking build system type... i386-portbld-freebsd10.0
checking host system type... i386-portbld-freebsd10.0
checking for gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ANSI C... none needed
checking for a sed that does not truncate output... /usr/bin/sed
checking for egrep... grep -E
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognise dependent libraries... pass_all
checking how to run the C preprocessor... cpp
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking how to run the C++ preprocessor... c++ -E
checking for g77... no
checking for f77... no
checking for xlf... no
checking for frt... no
checking for pgf77... no
checking for fort77... no
checking for fl32... no
checking for af77... no
checking for f90... no
checking for xlf90... no
checking for pgf90... no
checking for epcf90... no
checking for f95... no
checking for fort... no
checking for xlf95... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for gfortran... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether  accepts -g... no
checking the maximum length of command line arguments... (cached) 262144
checking command to parse /usr/bin/nm -B output from cc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if cc supports -fno-rtti -fno-exceptions... no
checking for cc option to produce PIC... -fPIC
checking if cc PIC flag -fPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... yes
checking whether the cc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... no
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... no
checking whether to build shared libraries... no
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by c++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the c++ linker (/usr/bin/ld) supports shared libraries... no
checking for c++ option to produce PIC... -fPIC
checking if c++ PIC flag -fPIC works... yes
checking if c++ static flag -static works... yes
checking if c++ supports -c -o file.o... yes
checking whether the c++ linker (/usr/bin/ld) supports shared libraries... no
checking dynamic linker characteristics... no
checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking for gcc... (cached) cc
checking whether we are using the GNU C compiler... (cached) yes
checking whether cc accepts -g... (cached) yes
checking for cc option to accept ANSI C... (cached) none needed
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether cc accepts -fexceptions... yes
checking for ANSI C header files... (cached) yes
checking whether byte ordering is bigendian... no
checking for an ANSI C-conforming const... yes
checking for size_t... yes
checking for memmove... yes
checking for bcopy... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking for unistd.h... (cached) yes
checking for off_t... yes
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking for getpagesize... yes
checking for working mmap... yes
checking for an ANSI C99-conforming __func__... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating expat_config.h

Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

19. "не ставиться apach22 freebsd 9"  +/
Сообщение от PavelR (ok) on 23-Фев-12, 11:28 

Ну вот собственно и видим:

>checking if libtool supports shared libraries... no
>checking whether to build shared libraries... no

Я бы сделал так:

прогулялся в каталог /var/db/pkg
нашел там список установленных libtool
сделал бы им всем pkg_deinstall (pkg_deinstall libtool-x.y.z) или как-то по другому деинсталлировал (не особо много пользуюсь FreeBSD в последнее время)

потом снова бы пошел в /usr/ports/textproc/expat2/ делать make clean configure ; make install clean

Ответить | Правка | ^ к родителю #18 | Наверх | Cообщить модератору

21. "не ставиться apach22 freebsd 9"  +/
Сообщение от gpl77 (ok) on 23-Фев-12, 12:48 
> прогулялся в каталог /var/db/pkg
> нашел там список установленных libtool
> сделал бы им всем pkg_deinstall (pkg_deinstall libtool-x.y.z) или как-то по другому деинсталлировал

нет. пакеты тащат с собой свой configure и libtool
по уму там надо
libtoolize ; autoreconf ; configure

Ответить | Правка | ^ к родителю #19 | Наверх | Cообщить модератору

22. "не ставиться apach22 freebsd 9"  +/
Сообщение от PavelR (ok) on 23-Фев-12, 13:15 
>> прогулялся в каталог /var/db/pkg
>> нашел там список установленных libtool
>> сделал бы им всем pkg_deinstall (pkg_deinstall libtool-x.y.z) или как-то по другому деинсталлировал
> нет. пакеты тащат с собой свой configure и libtool
> по уму там надо
> libtoolize ; autoreconf ; configure

Это блин как так - "пакеты тащат свой libtool"? Имеется ввиду файлик типа libtool.m4 ?

libtoolize (/usr/local/bin/libtoolize) вообще-то как раз таки и ставится из ports/devel/libtoolXY .

Ответить | Правка | ^ к родителю #21 | Наверх | Cообщить модератору

23. "не ставиться apach22 freebsd 9"  +/
Сообщение от gpl77 (ok) on 23-Фев-12, 13:53 

> Это блин как так - "пакеты тащат свой libtool"? Имеется ввиду файлик
> типа libtool.m4 ?

ага. и ltmain.sh, config.guess и т.д.
libtool в пакете: часть скрипта configure
после configure генерится libtool (если, конечно, используются соотв. макросы: LT_INIT и т.д.)

> libtoolize (/usr/local/bin/libtoolize) вообще-то как раз таки и ставится из ports/devel/libtoolXY
> .

чтобы использовать свой libtool надо перегенерить configure

Ответить | Правка | ^ к родителю #22 | Наверх | Cообщить модератору

24. "не ставиться apach22 freebsd 9"  +/
Сообщение от PavelR (ok) on 23-Фев-12, 14:08 
>> Это блин как так - "пакеты тащат свой libtool"? Имеется ввиду файлик
>> типа libtool.m4 ?
> ага. и ltmain.sh, config.guess и т.д.
> libtool в пакете: часть скрипта configure
> после configure генерится libtool (если, конечно, используются соотв. макросы: LT_INIT
> и т.д.)
>> libtoolize (/usr/local/bin/libtoolize) вообще-то как раз таки и ставится из ports/devel/libtoolXY
>> .
> чтобы использовать свой libtool надо перегенерить configure

Что-то для меня это утверждение выглядит спорным. Ну да ладно, не настолько я гуру в autotooolzzzz.

Кстати, там еще одна интересная строчка есть:

>checking whether the c++ linker (/usr/bin/ld) supports shared libraries... no

Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

25. "не ставиться apach22 freebsd 9"  +/
Сообщение от gpl77 (ok) on 23-Фев-12, 14:45 
> Кстати, там еще одна интересная строчка есть:
>>checking whether the c++ linker (/usr/bin/ld) supports shared libraries... no

не знаю. это current, судя по всему
там вместе с gcc еще llvm/clang, а libtool старый (посмотрел, там 1.5.22)
что то он там наопределял х.з.

Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

20. "не ставиться apach22 freebsd 9"  +/
Сообщение от gpl77 (ok) on 23-Фев-12, 12:42 
>[оверквотинг удален]
> checking if the linker (/usr/bin/ld) is GNU ld... yes
> checking for cc option to produce PIC... -fPIC
> checking if cc PIC flag -fPIC works... yes
> checking if cc static flag -static works... yes
> checking whether the cc linker (/usr/bin/ld) supports shared libraries... yes
> checking dynamic linker characteristics... no
> checking if libtool supports shared libraries... no
> checking whether to build shared libraries... no
> checking whether to build static libraries... yes
> configure: creating libtool

у вас current?
покажите uname -a и cc -v

видите там у вас:
> checking if libtool supports shared libraries... no

почему так - разбираться долго
методом грубой силы:
после make configure поменяйте в work/expat-2.0.1/Makefile
строчку типа
LIBTOOL = $(SHELL) $(top_builddir)/libtool

на
LIBTOOL = $(SHELL) libtool
(если, конечно, у вас установлен libtool)

и соберите make ; make install

Ответить | Правка | ^ к родителю #18 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру